-- BOM precise? 21.11.2007 l.upd.:12.03.2013/J.Fes
select
 bvr.puid,
 bvr.pis_precise
from
 infodba.PSTRUCTURE_REVISIONS ps
 left join infodba.PPSBOMVIEWREVISION bvr on (ps.pvalu_0 = bvr.puid)
 left join infodba.PPSBOMVIEW bv on (bvr.rbom_viewu = bv.puid)
 left join infodba.PPSVIEWTYPE bvt on (bvt.puid = bv.rview_typeu)
where
     ps.puid = :para_ir_puid
 AND upper(bvt.pname) in ('VIEW', 'CATIA_MULTI_MODEL', 'CATIA')
